Subject: Re: Diftool problems

From: David Aguilar <[email-masked]>
Date: Sat, 2 May 2009 02:05:33 -0700

On  0, Marcin Zalewski <[email-masked]> wrote:
> > The real fix would be to adjust the ediff snippet for difftool support.
> 
> "$merge_tool_path" -f emerge-files-command \
> 				"$LOCAL" "$REMOTE" "$(basename "$MERGED")"

Hi

Would the right command be:
	"$merge_tool_path" -f emerge-files-command \
		"$LOCAL" "$REMOTE"

(without $MERGED) ?

> I think that merge result could be a temporary file, like in
> mergetool. In a situation where I use git to track an SVN repository,
> difftool can be actually used to merge my uncommitted changes with a
> commit from someone else after doing svn rebase. On the other hand, I
> am no git expert so there may be a better way to handle this case.
> 
> -m

Are you able to save the result to a file with the above
snippet?  I'd prefer to not touch the way difftool deals
with files this late in the RC cycle, and if just
saving within emacs works without changing difftool
to use temporary files then that's even better.

I tried it and didn't notice any difference w/ or w/out
the patch, but if not specifying $MERGED is more
correct then we should do that.

You should have just seen a patch from me.
Let me know if you have any other suggestions.

-- 
		David